# ARBGpuShader5 (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBGpuShader5

    java.lang.Object
      org.lwjgl.opengl.ARBGpuShader5

    public final class ARBGpuShader5

extends java.lang.Object

Field Summary
`static int` `GL_FRAGMENT_INTERPOLATION_OFFSET_BITS` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static int` `GL_GEOMETRY_SHADER_INVOCATIONS` Accepted by the <pname> parameter of GetProgramiv:
`static int` `GL_MAX_FRAGMENT_INTERPOLATION_OFFSET` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static int` `GL_MAX_GEOMETRY_SHADER_INVOCATIONS` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static int` `GL_MAX_VERTEX_STREAMS` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static int` `GL_MIN_FRAGMENT_INTERPOLATION_OFFSET` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_GEOMETRY_SHADER_INVOCATIONS

    public static final int GL_GEOMETRY_SHADER_INVOCATIONS

  Accepted by the <pname> parameter of GetProgramiv:

  See Also:
    Constant Field Values

### GL_MAX_GEOMETRY_SHADER_INVOCATIONS

    public static final int GL_MAX_GEOMETRY_SHADER_INVOCATIONS

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

  See Also:
    Constant Field Values

### GL_MIN_FRAGMENT_INTERPOLATION_OFFSET

    public static final int GL_MIN_FRAGMENT_INTERPOLATION_OFFSET

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

  See Also:
    Constant Field Values

### GL_MAX_FRAGMENT_INTERPOLATION_OFFSET

    public static final int GL_MAX_FRAGMENT_INTERPOLATION_OFFSET

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

  See Also:
    Constant Field Values

### GL_FRAGMENT_INTERPOLATION_OFFSET_BITS

    public static final int GL_FRAGMENT_INTERPOLATION_OFFSET_BITS

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

  See Also:
    Constant Field Values

### GL_MAX_VERTEX_STREAMS

    public static final int GL_MAX_VERTEX_STREAMS

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.